# htp on-line reference : IF, ELSEIF, ELSE, /IF

## syntax

`<img src="filename" ...>
`

## synopsis

IF, NOT, ELSEIF, ELSE, and /IF are the building blocks for conditional processing. The basic form is shown above.

"Conditional" is either a "compare" or "is defined" operation. A compare operator is a test of the value of a macro against a literal string:

`<imageurl url="imageurl" [ path="path/in/local/filesystem" ]>
`

and a defined operator is a test of a macro's existance:

`<imageurl url="http://my.domain.org/" path="/var/www/my.domain/">
<imageurl url="other.domain.org/" path="/var/www/other.domain/">
For this line: <img src="logo.gif">
the local filename "logo.gif" will be used to determine image dimensions
(no URL replacement).
For this line: <img src="http://my.domain.org/logo.gif">
the local filename "/var/www/my.domain/logo.gif" will be used.
But for this line: <img src="http://other.domain.org/logo.gif">
the local file cannot be found (no prefix match), so the image dimensions
will not be added.
Order is important; last IMAGEURL tag takes precedence:
<imageurl url="/" path="/var/www/htdocs/">
<imageurl url="/test/" path="/var/www/test/">
<img src="/image.gif"> and <img src="/test/image.gif"> are mapped to
/var/www/htdocs/image.gif and /var/www/test/image.gif, resp.
If the order of the imageurl lines would be swapped, the second
image would be mapped to /var/www/htdocs/test/image.gif.
`

If the NOT tag is present in the IF markup, the evaluation of the conditional is reversed. The first IF or ELSEIF condition that evaluates to true is chosen. If none of the conditions is true the ELSE block is taken if it is present. A conditional block must be closed with the /IF tag. IF tags can be nested.

hosted by Sourceforge HTML coding

Copyright © 1995–96 Jim Nelson. Copyright © 2001–2014 Jochen Hoenicke. Permission to reproduce and distribute this hypertext document granted according to terms described in the License section. last updated Sat May 16, 2015